using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
            CategoryBuilder.Create("World War I", "A category for world war era items.", ModAPI.LoadSprite("Tab.png"));
            //Greenbrick
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "German Trench Knife-AWM", // Name.
                    NameToOrderByOverride = "Knife 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "A combat knife used by the Germans during WW1.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("German Trench Knife Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("German Trench Knife.png");
                     Instance.FixColliders();

				    }
			    }
		    );     
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "British Trench Knife-AWM", // Name.
                    NameToOrderByOverride = "Knife 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "A combat knife used by the British during WW1.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("British Trench Knife Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("British Trench Knife.png");
                     Instance.FixColliders();

				    }
			    }
		    );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Baseball Bat"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Trench club-AWM", // Name.
                    NameToOrderByOverride = "Baseball Bat 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "A improvised weapon made to bash in skulls.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Trench Club Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Trench Club.png");
                     Instance.FixColliders();

				    }
			    }
		    );
			                  

				     
	   	  
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Gewehr 98-AWM", // Name.
                    NameToOrderByOverride = "M1 Garand 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "The standard issue rifle for Germany during WW1.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Gewehr 98 Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Gewehr 98.png");
                     Instance.FixColliders();
                       var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Gewehr 98 shot.wav")
                        };
				    }
			    }
		    );
	        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("PPSH"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "MP-18-AWM", // Name.
                    NameToOrderByOverride = "PPSH 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "The first submachine gun ever used in combat, created by the Germans.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("MP 18 Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MP 18.png");
                     Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
						firearm.AutomaticFireInterval = 0.123f;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("MP 18 shot.wav")
                        };
				    }
			    }
		    );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Lee Enfield-AWM", // Name.
                    NameToOrderByOverride = "M1 Garand 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "The standard issue rifle for British soldiers during WW1.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Lee Enfield Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Lee Enfield.png");
                     Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();                      
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Lee Enfield shot.wav")
                        };
				    }
			    }
		    );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Mosin Nagant-AWM", // Name.
                    NameToOrderByOverride = "M1 Garand 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "The standard issue rifle for Russian soldiers during WW1/WW2.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Mosin Nagant Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Mosin Nagant.png");
                     Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();                      
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Mosin Nagant shot.wav")
                        };
				    }
			    }
		    );
	   		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Pistol"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "P08 Luger-AWM", // Name.
                    NameToOrderByOverride = "Revolver 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "A famous German handgun from the first and second world wars.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Luger Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Luger.png");
                     Instance.FixColliders();
                           
				    }
			    }
		    );
	   	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Pistol"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Colt 1911-AWM", // Name.
                    NameToOrderByOverride = "Revolver 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "A expensive handgun used by the British.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Colt 1911 Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Colt 1911.png");
                     Instance.FixColliders();

				    }
			    }
		    );
	   	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "German Officer Sword-AWM", // Name.
                    NameToOrderByOverride = "Sword 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "Used to slice off heads and limbs of the lesser enemy.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("German Officer Sword Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("German Officer Sword.png");
                     Instance.FixColliders();

				    }
			    }
		    );
	  	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Lebel Rifle-AWM", // Name.
                    NameToOrderByOverride = "M1 Garand 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "The standard issue rifle for French Soldiers during WW1.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Lebel Rifle Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Lebel Rifle.png");
                     Instance.FixColliders();
                             var firearm = Instance.GetComponent<FirearmBehaviour>();                      
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Lebel Rifle shot.wav")
                        };
				    }
			    }
		    );
	   	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("PPSH"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Chauchat Machine Gun-AWM", // Name.
                    NameToOrderByOverride = "PPSH 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "A heavy duty French machine gun.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Chauchat Machine Gun Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Chauchat Machine Gun.png");
                     Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
						firearm.AutomaticFireInterval = 0.189f;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Chauchat shot.wav")
                        };
				    }
			    }
		    );
	        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "German WW1 Soldier-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Served in the first World War.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("German WW1 Soldier Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("German WW1 Soldier.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
	  	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "French WW1 Soldier-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Served in the first World War.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("French WW1 Soldier Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("French WW1 Soldier.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
	        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "PickelHaube-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "A iconic German WW1 Helmet.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("PickelHaube Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("PickelHaube.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
	        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "French Cap-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Standard French cap.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("French Cap Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("French Cap.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "French Helmet-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Standard French Helmet.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("French Helmet Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("French Helmet.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Camouflaged Stahlhelm-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "A late war German helmet.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Camo Stahlhelm Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Camo Stahlhelm.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
				    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "German Officers Cap-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Used to show ranking.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("German Officer Cap Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("German Officer Cap.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
	        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "French Officers Cap-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Used to show ranking.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("French Officer Cap Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("French Officer Cap.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Gas Mask-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Saves your lungs from being turned to mush.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Gas Mask Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Gas Mask.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Light Machine Gun"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Maxim Heavy Machine Gun-AWM", // Name.
                    NameToOrderByOverride = "Light Machine Gun 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "A heavy machine gun used by the Germans in WW1.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Maxim Gun Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Maxim Gun.png");
                     Instance.FixColliders();
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Maxim shot.wav")
                        };
				    }
			    }
		    );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Giant Wooden Bowl"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Trench-AWM", // Name.
                    NameToOrderByOverride = "Giant Wooden Bowl 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "You spend your final hours in here, or the rest of your life.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Trench Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Trench.png");
                     Instance.FixColliders();

				    }
			    }
		    );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "German StormTrooper-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Elite WW1 soldiers that struck fear into the hearts of the enemy, also the first soldiers to wear the Stahlhelm.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("German StormTrooper Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("German StormTrooper.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Stahlhelm-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Worn by StormTroopers during WW1 and by most soldiers in WW2.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Stahlhelm Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Stahlhelm.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
	  	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "British Soldier-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Served in the war.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("British Soldier Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("British Soldier.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
     	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "British Helmet-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Worn by British Soldiers.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("British Helmet Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("British Helmet.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
	  	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "Russian Soldier-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Served in the war.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Russian Soldier Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("Russian Soldier.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Russian Helmet-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Worn by Russian Soldiers.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Russian Helmet Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Russian Helmet.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
     	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Light Machine Gun"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Vickers Gun-AWM", // Name.
                    NameToOrderByOverride = "Light Machine Gun 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "A heavy machine used by the British in WW1(use the VIckers turret base and attach them with a pin).",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Vickers Gun Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Vickers Gun.png");
                     Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
						firearm.AutomaticFireInterval = 0.175f;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Vickers shot.wav")
                        };
				    }
			    }
		    );
	        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("PPSH"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Lewis Gun-AWM", // Name.
                    NameToOrderByOverride = "PPSH 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "A light machine gun used by the British during WW1.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Lewis Gun Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Lewis Gun.png");
                     Instance.FixColliders();
                               var firearm = Instance.GetComponent<FirearmBehaviour>();
						firearm.AutomaticFireInterval = 0.198f;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Lewis shot.wav")
                        };
				    }
			    }
		    );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Cube"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Vickers Base-AWM", // Name.
                    NameToOrderByOverride = "Metal Square 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "Mount the Vickers on top of it using a pin.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Vickers Base Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Vickers Base.png");
                     Instance.FixColliders();
                   
                      
				    }
			    }
		    );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "Austro Hungarian Soldier-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Served in the war.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Austro Hungarian Soldier Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("Austro Hungarian Soldier.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
	        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Austro Hungarian Field Cap-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Worn by Austro Hungarian Soldiers.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Austro Hungarian Field Cap Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Austro Hungarian Field Cap.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "Austro Hungarian Officer-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Commanded his men in battle.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Austro Hungarian Officer Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("Austro Hungarian Officer.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
		  		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "British Officer-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Commanded his men in battle.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("British Officer Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("British Officer.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
		  	        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "British Officer Cap-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Worn by British Officers during WW1.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("British Officer Cap Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("British Officer Cap.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
		    		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Trench Whistle-AWM", // Name.
                    NameToOrderByOverride = "Brick 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "OVER THE TOP BOYS.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Trench Whistle Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Trench Whistle.png");
                     Instance.FixColliders();
                       				AudioSource AS = Instance.AddComponent<AudioSource>();
                        AS.minDistance = 1;
                        AS.maxDistance = 3;




                        int index = 0;
                        AudioClip[] AudioData = new AudioClip[]
                        {
                            ModAPI.LoadSound("Trench Whistle Sound.mp3"),
                        };


                        Instance.FixColliders();

                        Instance.AddComponent<UseEventTrigger>().Action = () =>
                        {
                            AS.clip = AudioData[index];
                            AS.Play();

                            index++;
                            if (index == AudioData.Length) index = 0;
                        };
				    }
			    }
		    );    
		 
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "German Officer-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Commanded his men in battle.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("German Officer Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("German Officer.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
	        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "French Officer-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Commanded his men in battle.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("French Officer Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("French Officer.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
			        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "Russian Officer-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Commanded his men in battle.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Russian officer Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("Russian officer.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
				  	        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Russian Officer Cap-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Worn by Russian Officers during WW1.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("Russian officer Cap Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Russian officer Cap.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
				    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Revolver"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Webley Revolver-AWM", // Name.
                    NameToOrderByOverride = "Revolver 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "The standard issue side arm for British soldiers during WW1.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Webley Revolver Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Webley Revolver.png");
                     Instance.FixColliders();
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Webly shot.wav")
                        };
				    }
			    }
		    );
		  			    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Handgrenade"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "German Stick Grenade-AWM", // Name.
                    NameToOrderByOverride = "Handgrenade 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "A grenade used by the Germans in WW1/WW2.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("German Grenade Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("German Grenade.png");
                     Instance.FixColliders();
                    
				    }
			    }
		    );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("General Purpose Bomb"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Mortar shell-AWM", // Name.
                    NameToOrderByOverride = "General Purpose Bomb 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "A tiny yet deadly bomb.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Mortar shell Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Mortar shell.png");
                     Instance.FixColliders();
                    
				    }
			    }
		    );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Handgrenade"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Handgrenade-AWM", // Name.
                    NameToOrderByOverride = "Grenade 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "A very important weapon for any soldier.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Handgrenade Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Handgrenade.png");
                     Instance.FixColliders();
                    
				    }
			    }
		    );
		   ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Dynamite"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Landmine-AWM", // Name.
                    NameToOrderByOverride = "Dynamite 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "A pressure activated explosive device..",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Landmine Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Landmine.png");
                     Instance.FixColliders();
                     Instance.GetComponent<ExplosiveBehaviour>().ImpactForceThreshold = 2f;
				    }
			    }
		    );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Cube"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Hedgehog-AWM", // Name.
                    NameToOrderByOverride = "Metal Cube 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "Used to stop tanks and other vehicles.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Hedgehog Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hedgehog.png");
                     Instance.FixColliders();
                    
				    }
			    }
		    );
		 		   ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Karabiner 88-AWM", // Name.
                    NameToOrderByOverride = "M1 Garand 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "A shorter version of the Gewehr 98.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Karabiner 88 Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("karabiner 88.png");
                     Instance.FixColliders();
				     var firearm = Instance.GetComponent<FirearmBehaviour>();				
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Karabiner shot.wav")
                        };
				  
				    }
			    }
		    );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Poppy-AWM", // Name.
                    NameToOrderByOverride = "Stick 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "Lest we forget.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Poppy Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Poppy.png");
                     Instance.FixColliders();
                   	AudioSource AS = Instance.AddComponent<AudioSource>();
                        AS.minDistance = 1;
                        AS.maxDistance = 3;




                        int index = 0;
                        AudioClip[] AudioData = new AudioClip[]
                        {
                            ModAPI.LoadSound("Flanders.wav"),
                        };


                        Instance.FixColliders();

                        Instance.AddComponent<UseEventTrigger>().Action = () =>
                        {
                            AS.clip = AudioData[index];
                            AS.Play();

                            index++;
                            if (index == AudioData.Length) index = 0;
                        };
				    }
			    }
		    );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Face Plate-AWM",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Many versions of face armor existed through out WW1.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("FP Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("FP.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 1f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;
                        armor.otherResist = 1f;
					}
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Armor Chestplate -AWM",
                    NameToOrderByOverride = "Rod 2",
                    DescriptionOverride = "used to protect from shrapnel and block the odd bullet.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("AC Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AC.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 1;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 1;
                        armor.otherResist = 1f;
				    }
                }
            );
		        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Midsection Armor -AWM",
                    NameToOrderByOverride = "Rod 2",
                    DescriptionOverride = "used to protect from shrapnel and block the odd bullet.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("MA Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MA.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;
                        armor.otherResist = 2f;
				    }
                }
            );
		         ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Lower Armor -AWM",
                    NameToOrderByOverride = "Rod 2",
                    DescriptionOverride = "used to protect from shrapnel and block the odd bullet.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("LA Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("LA.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 2;
                        armor.otherResist = 2f;
				    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Lower Arm Armor -AWM",
                    NameToOrderByOverride = "Rod 2",
                    DescriptionOverride = "used to protect from shrapnel and block the odd bullet.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("AG Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AG.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance =2f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 2;
                        armor.otherResist =2f;
 				    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Lower Arm Armor Front-AWM",
                    NameToOrderByOverride = "Rod 2",
                    DescriptionOverride = "used to protect from shrapnel and block the odd bullet.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("AG Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AG.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance =2f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 2;
                        armor.otherResist = 2f;
				    }
                }
            );
     	    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Upper Arm Armor -AWM",
                    NameToOrderByOverride = "Rod 2",
                    DescriptionOverride = "used to protect from shrapnel and block the odd bullet.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("UA Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("UA.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 2;
                        armor.otherResist = 2f;
 				    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Upper Arm Armor Front-AWM",
                    NameToOrderByOverride = "Rod 2",
                    DescriptionOverride = "used to protect from shrapnel and block the odd bullet.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("UA Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("UA.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 2;
                        armor.otherResist = 2f;
				    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Adrenaline Syringe"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Adrenaline Syringe-AWM", // Name.
                    NameToOrderByOverride = "Adrenaline Syringe 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "Keeps a soldier on his feet.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("ADS Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ADS.png");
                     Instance.FixColliders();
                    
				    }
			    }
		    );
			    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knockout Syringe"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Knockout Syringe-AWM", // Name.
                    NameToOrderByOverride = "Knockout Syringe 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "Go to sleep, it will all be over soon.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("KOS Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("KOS.png");
                     Instance.FixColliders();
                    
				    }
			    }
		    );
			    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Coagulation Syringe"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "Coagulation Syringe-AWM", // Name.
                    NameToOrderByOverride = "Coagulation Syringe 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "This should stop the bleeding.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("CS Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("CS.png");
                     Instance.FixColliders();
                    
				    }
			    }
		    );
				    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Shotgun"), // Searches the ingame catalog and returns with the inputted string if possible.
                    NameOverride = "American Trench Shotgun-AWM", // Name.
                    NameToOrderByOverride = "Shotgun 2", // How the item is ordered (I didn't want it in the 'G' section, so I renamed it to Brick 2, so it shows up next to the brick.)
                    DescriptionOverride = "First invented by the Americans the trench shotgun was a deadly weapon that ravaged enemy Trenches.",// Description
                    CategoryOverride = ModAPI.FindCategory("World War I"),//Category
                    ThumbnailOverride = ModAPI.LoadSprite("Trench Shotgun Thumb.png", 5f),//Thumbnail
                    AfterSpawn = (Instance) =>
			        {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Trench Shotgun.png");
                     Instance.FixColliders();
                     
				    }
			    }
		    );
		  			        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "Ghille Sniper-AWM", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "A sneaky and deadly soldier.", //new item description
                    CategoryOverride = ModAPI.FindCategory("World War I"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Ghille Sniper Thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                                    //load textures for each layer (see Human textures folder in this repository)
                                    var skin = ModAPI.LoadTexture("Ghille Sniper.png");
                                    var flesh = ModAPI.LoadTexture("blueFlesh.png");
                                    var bone = ModAPI.LoadTexture("blueBone.png");

                                            //get person
                                    var person = Instance.GetComponent<PersonBehaviour>();
   
                                    
									person.SetBodyTextures(skin, flesh, bone, 1);

                                   
                                     person.SetBruiseColor(86, 62, 130);
                                     person.SetSecondBruiseColor(154, 0, 7); 
                                     person.SetThirdBruiseColor(207, 206, 120); 
                                     person.SetRottenColour(202, 199, 104); 
                                     person.SetBloodColour(108, 0, 4);
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Ghille Suit Midsection-AWM",
                    NameToOrderByOverride = "Rod 2",
                    DescriptionOverride = "Can be put on top of the already existing Ghille Sniper for extra camo.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("G MS Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("G MS.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 0;
                        armor.otherResist = 0f;
				    }
                }
            );
		          ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Ghille Suit upper body -AWM",
                    NameToOrderByOverride = "Rod 2",
                    DescriptionOverride = "Can be put on top of the already existing Ghille Sniper for extra camo.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("G CP Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("G CP.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 0;
                        armor.otherResist = 0;
				    }
                }
            );
		 	         ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Ghille Suit lower body -AWM",
                    NameToOrderByOverride = "Rod 2",
                    DescriptionOverride = "Can be put on top of the already existing Ghille Sniper for extra camo.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("G LB Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("G LB.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 0;
                        armor.otherResist = 0f;
				    }
                }
            );
		 	 	         ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Ghille Mask -AWM",
                    NameToOrderByOverride = "Rod 2",
                    DescriptionOverride = "Can be put on top of the already existing Ghille Sniper for extra camo.",
                    CategoryOverride = ModAPI.FindCategory("World War I"),
                    ThumbnailOverride = ModAPI.LoadSprite("G M Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("G M.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                        armor.otherResist = 0f;
				    }
                }
            );
		}
	}
}
	